<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <process-parameters-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <process-parameters-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import ProcessParametersCategoryLeft from './modules/processParameters/ProcessParametersCategoryLeft'
import ProcessParametersRight from './modules/processParameters/ProcessParametersRight'
export default {
  name: 'ProcessParametersList',
  components: {
    ProcessParametersCategoryLeft,
    ProcessParametersRight,
  },
  data() {
    return {
      description: '工艺参数',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>